Group Profiles

The Group Profiles service allows you to pass in a given date and have all groups created or modified since that date returned to you. If a date is not provided, all groups in the system will be returned. The image link in the image element will expire, and should be cached. Including it will significantly increase the runtime of the service and may cause a timeout. Please consider using the “per_page” and “page” parameters if you want to get the images from your groups. * Main_leader and leader elements are always populated

Service Name

group_profiles

Required Parameters

None

Optional Parameters

NameType
modified_sincedatetime
include_participantsboolean (default true)
include_image_linkboolean (default false)
campus_idint
pageint
per_pageint

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=group_profiles&modified_since=2010-02-01&include_participants=false"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
     <parameters>
        <argument value="group_profiles" name="srv"/>
        <argument value="2010-02-01" name="modified_since"/>
     </parameters>
  </request>
  <response>
    <service>group_profiles</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <groups count="34">
      <group id="1">
        <name>Entire Church Group</name>
        <description>Everyone is a part of the church. This is the group for the entire church.</description>
        <image>https://s3.amazonaws.com/ccbchurch/40622/pics/g_1?AWSAccessKeyId=AKIAJ4CISARDRJPE4ERQ&Expires=1390930061&Signature=lCcx73c682HA3blh5LbBbtrl7VU%3D</image>
        <campus id="1">Church of Cucumbers</campus>
        <main_leader id="1">
           <first_name>Larry</first_name>
           <last_name>Cucumber</last_name>
           <full_name>Larry Cucumber</full_name>
           <email>[email protected]</email>
           <phones>
              <phone type="mobile">(012) 345-6789</phone>
           </phones>
        </main_leader>
        <leaders/>
        <participants/>
        <group_type id="5">Church</group_type>
        <department id="1">hello</department>
        <area id="1">Church</area>
        <calendar_feed>webcal://testing_stable.ccbchurch.com/group_calendar.ics?id=1&tk=939102BA159F102DA8580019B9B51440</calendar_feed>
        <registration_forms/>
        <current_members>56</current_members>
        <group_capacity>Unlimited</group_capacity>
        <addresses>
          <address type="meeting">
            <name>Meeting Address</name>
            <street_address>Meeting Address
Street</street_address>
            <city>City</city>
            <state></state>
            <zip></zip>
            <longitude></longitude>
            <latitude></latitude>
            <line_1>Meeting Address
Street</line_1>
            <line_2>City</line_2>
          </address>
        </addresses>
        <meeting_day id="0"></meeting_day>
        <meeting_time id="0"></meeting_time>
        <childcare_provided>false</childcare_provided>
        <interaction_type>Annoucement Only</interaction_type>
        <membership_type>Open to All</membership_type>
        <notification>false</notification>
        <user_defined_fields/>
        <listed>true</listed>
        <public_search_listed>false</public_search_listed>
        <inactive>false</inactive>
        <creator id="1">Larry Cucumber</creator>
        <modifier id="1">Larry Cucumber</modifier>
        <created>2003-11-26 13:03:43</created>
        <modified>2011-12-13 08:38:11</modified>
      </group>
      …
      <group id="41">
        <name>New group created via API</name>
        <description>None</description>
        <image>https://cdn3.ccbchurch.com/preSTABLE/images/group-default.gif</image>
        <campus id="1">Church of Cucumbers</campus>
        <main_leader id="1">
          <first_name>Larry</first_name>
          <last_name>Cucumber</last_name>
          <full_name>Larry Cucumber</full_name>
          <email>[email protected]</email>
          <phones>
            <phone type="mobile">(012) 345-6789</phone>
          </phones>
        </main_leader>
        <leaders/>
        <participants/>
        <group_type id="1">Care / Small Group</group_type>
        <department id="0"></department>
        <area id="0"></area>
        <calendar_feed>webcal://yourchurch.ccbchurch.com/group_calendar.ics?id=41&tk=VVNY5RHV2V5PBJP3AFCRBR54PA2C7FHM</calendar_feed>
        <registration_forms/>
        <current_members>1</current_members>
        <group_capacity>Unlimited</group_capacity>
        <addresses/>
        <meeting_day id="0"></meeting_day>
        <meeting_time id="0"></meeting_time>
        <childcare_provided>false</childcare_provided>
        <interaction_type>Members Interact</interaction_type>
        <membership_type>Invitation or Request Required</membership_type>
        <notification>false</notification>
        <user_defined_fields/>
        <listed>true</listed>
        <public_search_listed>false</public_search_listed>
        <inactive>false</inactive>
        <creator id="0">System User</creator>
        <modifier id="0">System User</modifier>
        <created>2014-01-28 10:25:57</created>
        <modified>2014-01-28 10:25:57</modified>
      </group>
    </groups>
  </response>
</ccb_api>